//---------------------------------------------------------------------------


#pragma hdrstop

#include "PluginSettings.h"

//---------------------------------------------------------------------------

#pragma package(smart_init)

PluginSettings pluginSettings;
PluginSettings initialPluginSettings;

template< typename T, size_t N >
std::vector<T> makeVector( const T (&data)[N] )
{
    return std::vector<T>(data, data+N);
}

std::vector<int> PluginSettings::getSamplingSpeedVector(void)
{
	static const int values[] = { 8000, 11025, 16000, 22050, 32000, 44100, 48000, 96000, 192000 };
	return makeVector(values);
}

//std::vector<int> PluginSettings::getChannelCntVector(void)
//{
//	static const int values[] = { 1, 2 };
//	return makeVector(values);
//}

const float PluginSettings::fDefaultSens = 0.0002198f; // 1.0f/16384.0f;
